------------------------------------------------------------------------------------
--Name:  	tunianchunjie3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-16
------------------------------------------------------------------------------------

local npc_0 = CppScriptMgr:AddSimplePlayer(44820, 111, 108, "BunnyVillageHead", 0, 0)
npc_0:WalkTo(119, 108)
npc_0:SetZoomPercent(200)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(112, 107)
player_0:WalkTo(120, 107)
player_0:SetCtrlMapView(1)
local npc_1 = CppScriptMgr:AddSimplePlayer(40990, 123, 104, "", 0, 0)
npc_1:SetDir(0)
npc_1:SetZoomPercent(150)
local npc_3 = CppScriptMgr:AddSimplePlayer(40190, 126, 105, "", 0, 0)
npc_3:SetDir(1)
npc_3:SetZoomPercent(150)
local npc_2 = CppScriptMgr:AddSimplePlayer(40990, 129, 110, "", 0, 0)
npc_2:SetDir(2)
npc_2:SetZoomPercent(150)
local npc_4 = CppScriptMgr:AddSimplePlayer(40170, 128, 107, "", 0, 0)
npc_4:SetDir(1)
npc_4:SetZoomPercent(150)
local effect_0 = CppScriptMgr:AddEffect("FF07", 119, 103, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("FF14", 119, 103, 33, 1, 1, 1)
local npc_5 = CppScriptMgr:AddSimplePlayer(41240, 124, 108, "", 0, 0)
npc_5:SetZoomPercent(75)
CppScriptMgr:WaitMilSec(70)
CppScriptMgr:SetViewPosByCell(109, 108)
npc_0:Say("Villagers are looking forward to the Spring Festival.", 1000)
CppScriptMgr:WaitMilSec(1000)
local effect_2 = CppScriptMgr:AddEffect("zf2-e290", 119, 103, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("dakaishengzhi", 119, 103, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(80)
player_0:Say("So am I!", 1000)
CppScriptMgr:WaitMilSec(1110)
player_0:SetAction(190)
player_0:Say("Happy new year!", 1000)
CppScriptMgr:WaitMilSec(880)
npc_1:Say("Happy new year!", 1000)
CppScriptMgr:WaitMilSec(2330)
npc_3:Say("Let`s save some crackers for Miss Bunny!", 1500)
player_0:SetActType(180)
CppScriptMgr:WaitMilSec(1170)
npc_0:Say("Welcome! It`s so nice to spend the Spring Festival with you!", 1500)
CppScriptMgr:WaitMilSec(1510)
player_0:Say("This village is so cute and fun!", 1500)
CppScriptMgr:WaitMilSec(2800)